apiVersion: autoscaling/v2
kind: HorizontalPodAutoscaler
metadata:
  name: {{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
  annotations:
    pickup/repo: {{ .Values.meta.repo | quote }}
    pickup/commit: {{ .Values.meta.commit | quote }}
    pickup/deployed-by: {{ .Values.meta.deployedBy | quote }}
    pickup/deployment-job: {{ .Values.meta.deploymentJob | quote }}
  labels:
    app.kubernetes.io/name: {{ .Chart.Name | quote }}
    app.kubernetes.io/instance: {{ .Release.Name | quote }}
    app.kubernetes.io/version: {{ .Values.docker.tag | quote }}
    app.kubernetes.io/component: {{ .Values.meta.component | quote }}
    app.kubernetes.io/part-of: {{ .Values.meta.subsystem | quote }}
    pickup/env: {{ .Values.meta.environment | quote }}
    pickup/stage: {{ .Values.meta.stage | quote }}
    pickup/product: {{ .Values.meta.product | quote }}
    pickup/subsystem: {{ .Values.meta.subsystem | quote }}
    pickup/component: {{ .Values.meta.component | quote }}
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: {{ .Release.Name }}
  minReplicas: {{ .Values.infra.scaling.minReplicas }}
  maxReplicas: {{ .Values.infra.scaling.maxReplicas }}
  metrics:
  - type: Resource
    resource:
      name: cpu
      target:
        type: Utilization
        averageUtilization: {{ .Values.infra.scaling.targetCpuUtilization }}
